import java.io.*;
import java.util.*;
import java.math.*;
import java.awt.*;
import java.awt.geom.*;

class Main{
public static void main(String[] args)
	{
	try{
		Scanner in = new Scanner(new FileReader("D.in"));
		PrintWriter out = new PrintWriter(new PrintWriter(new FileWriter("D.out")));

		BigInteger N = new BigInteger(in.next());
		BigInteger A = new BigInteger(in.next());
		BigInteger B = new BigInteger(in.next());

		BigInteger X = N.add(B).subtract(A);

		out.println(X.toString());

		out.close();		
	} catch(Exception ex)
		{
		
		}
	}
}
